gpt-5-nano-2025-08-07 API on AvalAI
gpt-5-nano-2025-08-07gpt-5-nano-2025-08-07 is an AI model from OpenAI that is available through AvalAI's OpenAI-compatible API.
Use gpt-5-nano-2025-08-07 with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/responses \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "gpt-5-nano-2025-08-07", "input": "Give a concise, practical solution."}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.responses.create(
model="gpt-5-nano-2025-08-07",
input="Give a concise, practical solution.",
)
print(response.output_text)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.responses.create({
model: "gpt-5-nano-2025-08-07",
input: "Give a concise, practical solution.",
});
console.log(response.output_text);Create an API keyRead the quickstart
Capabilities and endpoints
- Function calling
- Minimal reasoning effort
- Streaming
- Parallel function calling
- PDF input
- Prompt caching
- Reasoning
- Structured output
- System messages
- Tool choice
- Vision
- Web search
Endpoints
/v1/chat/completions/v1/batch/v1/responses
gpt-5-nano-2025-08-07 rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 1 | 40,000 |
| Tier 1 | 250 | 450,000 |
| Tier 2 | 500 | 800,000 |
| Tier 3 | 750 | 4,000,000 |
| Tier 4 | 1,500 | 10,000,000 |
| Tier 5 | 2,500 | 30,000,000 |
Related models
Frequently asked questions
What is the gpt-5-nano-2025-08-07 API on AvalAI?
Create an AvalAI API key and send the model ID gpt-5-nano-2025-08-07 to one of the supported endpoints shown on this page.
How much does the gpt-5-nano-2025-08-07 API cost on AvalAI?
The gpt-5-nano-2025-08-07 API on AvalAI costs $0.05 per 1M input tokens and $0.40 per 1M output tokens.
What is the token cost for gpt-5-nano-2025-08-07?
Current AvalAI pricing for gpt-5-nano-2025-08-07 is $0.05 / 1M tokens for input and $0.40 / 1M tokens for output.
What is the gpt-5-nano-2025-08-07 context window?
The recorded maximum input context for gpt-5-nano-2025-08-07 is 272,000 tokens.
What are the rate limits for gpt-5-nano-2025-08-07 on AvalAI?
On tier 5, gpt-5-nano-2025-08-07 on AvalAI supports up to 2,500 requests per minute and 30,000,000 tokens per minute.
What features does gpt-5-nano-2025-08-07 support on AvalAI?
gpt-5-nano-2025-08-07 on AvalAI supports Function calling, Minimal reasoning effort, Streaming, Parallel function calling, PDF input, Prompt caching, Reasoning, Structured output, System messages, Tool choice, Vision, Web search.
What account tier is required to use gpt-5-nano-2025-08-07 on AvalAI?
Calling gpt-5-nano-2025-08-07 on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)